Subject: Bug#916446: netcfg: please statically define ip4-localhost (mirroring ip6-localhost)

From: Jonathan Dowland <[email-masked]>
Date: Fri, 14 Dec 2018 15:19:16 +0000

Package: netcfg
Severity: wishlist
Tags: patch

Patch at https://salsa.debian.org/installer-team/netcfg/merge_requests/4

This mirrors the corresponding static hostname that is defined for
IPv6:

> # The following lines are desirable for IPv6 capable hosts
> ::1     localhost ip6-localhost ip6-loopback

These lines exist because there are some situations where you can only
conveniently specify a hostname but you wish to force a particular protocol.
For the same reason "ip4-localhost" is useful.

I was inspired to request this and write the patch because I hit this exact
situation with some software I am debugging.

-- System Information:
Debian Release: 9.5
  APT prefers stable
  APT policy: (990, 'stable'), (500, 'stable-debug'), (500, 'unstable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 4.17.0-0.bpo.1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8), LANGUAGE=en_GB:en (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)